首页 / 浏览问题 / WebGIS / 问题详情
vue3+vite+iclientleaflet dev下正常打包后报错
1EXP 2023年09月21日

vue3+vite环境构建SuperMap iClient for Leaflet 

iclient-leaflet@11.0.1版本11.0.1

vite版本2.6.14

在测试环境run dev下显示正常

然后打包后run build 控制台报错

1个回答

你好,1、请问该文件是leaflet包中的吗?目前官网有11.1.0版本,引入新版本试试呢。

2、vue build打包报的路由文件错误,可以参考一下:https://blog.csdn.net/weixin_44201321/article/details/123167765

1,830EXP 2023年09月21日

我npm run dev的时候都没问题。

用11.1.0的时候报错,因为vite不支持require所以11.1.0用不了

只能切回11.0.1

11.0.1dev环境就没问题。一打包就报上面那个错。可能是turf那个包有问题。这个包dev环境就没问题- -。特别尴尬

...